/* general */
.page-title.bg-iewc-uls-blog-image {
	height: 100%;
	background-image:url('uls_blog_post.png');
	background-size: cover;
	background-position: center;
}

.page-title.bg-iewc-uls-blog-image::before {
	background-image: none;
}

.markdown-container {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	width: 100%;
	min-height: 50vh;
}

.padding-bottom {
	padding: .5rem 0 4rem;
}

.markdown-doc > *:not(.button),
.markdown-blog > *:not(.button) {
	all: revert;
}

.markdown-doc p,
.markdown-doc ol,
.markdown-blog p,
.markdown-blog ol {
	padding: 0;
}

.markdown-doc pre,
.markdown-blog pre {
	display: flex !important;
}

.markdown-doc code,
.markdown-blog code {
	font-family: 'CourierPrime', monospace !important;
	font-size: 90%;
	color: var(--iewc-blue) !important;
	font-weight: 600;
}

.markdown-doc pre code,
.markdown-blog pre code {
	border-radius: .125rem;
	border: 1px solid rgba(0,0,0,.125);
	padding: .5rem;
	display: flex;
	color: var(--iewc-blue) !important;
}

.markdown-doc .img-wrapper,
.markdown-blog .img-wrapper {
	display: flex;
	justify-content: center;
	align-items: center;
	transition: transform .2s;
}

.markdown-doc .img-wrapper:hover,
.markdown-blog .img-wrapper:hover {
	transform: scale(1.05);
}

.markdown-doc img,
.markdown-blog img {
	max-width: 50%;
	max-height: 50%;
	margin: 1rem;
}

.markdown-doc h1,
.markdown-blog h1,
.markdown-doc h2,
.markdown-blog h2,
.markdown-doc h3,
.markdown-blog h3,
.markdown-doc h4,
.markdown-blog h4,
.markdown-doc h5,
.markdown-blog h5,
.markdown-doc h6,
.markdown-blog h6 {
	color: #9aca3c;
	font-family: 'Raleway', sans-serif;
}

/* markdown blog index */

.markdown-blog-index {
	width: 100%;
	display: flex;
	flex-direction: column;
	padding: 0 4rem;
}

.markdown-blog-index-entry-container {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.markdown-blog-index-entry-link {
	text-decoration: unset;
	margin-bottom: 2rem;
	border-radius: .25rem;
	border: 1px solid rgba(0,0,0,.25);
}

.markdown-blog-index-entry-link:hover {
	text-decoration: unset;
}

.markdown-blog-index-entry {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	border-radius: .25rem;
	text-decoration: unset;
	color: unset;
	align-items: center;
	max-width: 1200px;
	background-position: center;
}

.markdown-blog-index-entry:hover {
	color: unset;
}

.markdown-blog-index-entry .post-date {
	display: flex;
	justify-content: space-between;
	width: 100%;
	align-items: center;
}

.markdown-blog-index-entry .post-date .date {
	display: inline-flex;
	flex-shrink: 1;
	padding: .25rem .75rem;
	border-radius: .25rem;
	background-color: rgba(0,0,0,.75);
	color: white;
}

.markdown-blog-index-entry .entry-body {
	display: flex;
	flex-direction: column;
	padding: 1rem;
	align-items: flex-start;
	backdrop-filter: blur(6px);
	flex-grow: 1;
	border-radius: .25rem;
}

.markdown-blog-index-entry .entry-body .entry-title {
	font-weight: bold;
	font-size: 140%;
	color: white;
	background-color: rgba(0,0,0,.75);
	padding: .25rem .75rem;
	border-radius: .25rem;
	margin-bottom: 1rem;
}

.markdown-blog-index-entry .entry-body .entry-description {
	color: white;
	background-color: rgba(0,0,0,.75);
	padding: .25rem .75rem;
	border-radius: .25rem;
	max-height: 4rem;
	min-height: 1rem;
	flex-shrink: 1;
	flex-grow: 1;
	overflow-y: hidden;
	margin-bottom: 1rem;
}

.markdown-blog-index-entry .entry-body .entry-description::after {
	position: absolute;
	top: 0;
	left: 0;
	content: '';
	width: 100%;
	height: 100%;
	box-shadow: 0 -4px 4px black inset;
}

/* markdown blog nav */

.markdown-blog-nav-link-container {
	display: flex;
	position: relative;
	width: 100%;
	justify-content: space-between;
	align-items: center;
	margin: 0 auto;
	max-width: 100ch;
}

.markdown-blog-nav-link-container .nav-link {
	padding: unset;
	margin: unset;
}

.markdown-blog-nav-link-container .nav-link:first-of-type {
	margin-right: auto;
}

.markdown-blog-nav-link-container .nav-link:last-of-type {
	margin-left: auto;
}

.markdown-blog-nav-link-container .nav-index-link {
	position: absolute;
	left: 50%;
	transform: translateX(-50%);
}

/* markdown blog */

.markdown-blog p
.markdown-blog ol {
	color: #222;
}

.markdown-blog .button {
	width: fit-content;
	cursor: pointer;
}

.markdown-blog {
	width: 100%;
	padding: 1rem 0 0 0;
}

.markdown-blog .share-button {
	margin: 0 0 1rem 0;
}

.markdown-blog p {
	margin-bottom: 1rem;
}

.blog-body h1,
.blog-body h2,
.blog-body h3,
.blog-body h4,
.blog-body h5,
.blog-body h6 {
	text-align: left;
	margin: 1.5rem 0 1rem 0;
	padding-bottom: .5rem;
	font-weight: bold;
}

.markdown-blog .blog-title {
	margin: 0% auto;
	padding: 1rem;
	max-width: 100ch;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	background-size: cover;
	background-position: center;
	min-height: 200px;
	position: relative;
}

.markdown-blog .blog-title:before {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	content: '';
	background-color: rgba(0,0,0,.15);
}

.markdown-blog .blog-title .title-text {
	text-align: center;
	font-size: 300%;
	font-weight: bold;
	font-family: 'Raleway', sans-serif;
	color: white;
  	text-shadow: 4px 4px 4px #000;
}

.markdown-blog .blog-date {
	font-style: italic;
	color: #777;
	margin: .5rem auto 0 auto;
	max-width: 100ch;
	text-align: right;
}

.markdown-blog .blog-share {
	max-width: 100ch;
	display: flex;
	margin: .5rem auto 0 auto;
	justify-content: end;
}

.markdown-blog .blog-body {
	padding: 1rem;
	max-width: 100ch; /* max width of 100 characters, for readability */
	margin: 0 auto;
	text-align: justify;
	background-color: var(--bs-gray-100);
	border-radius: 5px;
}

.markdown-blog .blog-body .img-txt-section {
	display: flex;
	width: 100%;
	margin-bottom: 1rem;
}

.markdown-blog .blog-body .img-txt-section .img-section {
	max-width: 300px;
	max-height: 300px;
	width: 100%;
	height: auto;
}

.markdown-blog .blog-body .img-txt-section .img-section p {
	display: none;
}

.markdown-blog .blog-body .img-txt-section .img-section .img-wrapper img {
	width: 300px;
	height: 300px;
	max-width: 300px;
	max-height: 300px;
	margin: 0;
}

.markdown-blog .blog-body .img-txt-section .txt-section {
	flex-shrink: 1;
	padding: 1rem;
}

.markdown-blog .blog-body .img-txt-section .txt-section p:last-of-type {
	margin: 0;
}

/* markdown doc */

.markdown-doc,
.markdown-index {
	padding-left: 2rem;
}

.markdown-doc {
	padding-top: 1rem;
	padding-bottom: 1rem;
	flex-shrink: 1;
	flex-grow: 1;
	flex-direction: column;
	width: auto;
	overflow: hidden;
	background-color: var(--bs-gray-100);
}

/* markdown nav */

.markdown-nav {
	width: 200px;
	flex-shrink: 0;
	flex-grow: 0;
	border-right: 1px solid #CCC;
	padding-top: 1rem;
	padding-bottom: 1rem;
	color: #555;
}

.markdown-nav .button {
	cursor: unset !important;
}

.markdown-nav a {
	color: #555;
}

.markdown-nav .link-tree-entry {
	padding: 0 0 0 .5rem;
	margin: .5rem 0 0 0;
	display: flex;
	flex-direction: column;
	text-decoration: none;
}

.markdown-nav .link-tree-entry .link-tree-folder-text {
	display: inline-block;
}

.markdown-nav .link-tree-file-title {
	padding-left: .25rem;
	display: flex;
	align-items: center;
	flex-grow: 1;
	flex-shrink: 0;
	max-width: 100%;
}

.markdown-nav .link-tree-file-title a {
	display: flex;
	flex-wrap:wrap;
	max-width: 75%;
}

.markdown-nav .link-tree-file-title.active {
	font-weight: 600;
	position: relative;
}

.markdown-nav .link-tree-file-title.active::after {
	content: '';
	flex-grow: 1;
	height: 1px;
	border-bottom: 2px solid #CCC;
	margin-left: 6px;
}

.markdown-nav .link-tree-entry i {
	margin-right: .25rem;
}

.markdown-nav .link-tree-subentry-container {
	border-radius: 0 0 0 .25rem;
	margin-left: .5rem;
}

.markdown-nav .link-tree-directory-title a:hover {
	text-decoration: none;
}

/* markdown index */

.markdown-index .link {
	font-size: 120%;
}

.markdown-index .directory-link i,
.markdown-index .file-link i {
	margin-right: .25rem;
}

.markdown-index .link-container {
	margin-bottom: 1rem;
}

/* media queries */

@media ( max-width: 515px ) {
	.markdown-blog-index-entry .entry-body .post-date {
		flex-direction: column;
	}

	.markdown-blog-index-entry .post-date .button {
		margin-bottom: .25rem;
	}

	.markdown-blog-index {
		padding: 0 1rem;
	}
}

@media ( max-width: 768px ) {
	.markdown-nav .link-tree-entry .link-tree-folder-text {
		padding: .125rem .5rem;
	}
	.markdown-nav {
		width: 150px;
	}
	.markdown-nav .link-tree-file-title {
		font-size: 90%;
	}
	.markdown-blog .blog-body .img-txt-section {
		flex-direction: column;
		width: auto;
		height: auto;
	}
	.markdown-blog .blog-body .img-txt-section .img-section {
		width: 100%;
		height: auto;
		max-width: unset;
		max-height: unset;
	}
	.markdown-blog .blog-body .img-txt-section .img-section .img-wrapper img {
		height: auto;
		width: unset;
	}

}

@media ( max-width: 1105px ) {
	.markdown-blog-index {
		padding: 0 2rem;
	}
}
